Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  command hatch einbauen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  command hatch einbauen (2244 mal gelesen)
cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1827
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 05. Mai. 2011 15:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

(defun c:sa ( /
)  (setvar "attreq" 1)
    (if(and (setq OBJ (car (entsel "\nselect hatch or pline !\n")))
  (setq LAYER (cdr(assoc 8 (entget OBJ))))
  (setq FL (rtos(vla-get-area(vlax-ename->vla-object OBJ)) 2 2))
  )
    (command "_-insert" "flache" (getpoint "\npik point\n") (getvar "DIMSCALE") (getvar "DIMSCALE") 0 LAYER FL)
      ???(command "hatch" "ansi" "OBJ")
    )
  )
wie muss die Zeile richtig lauten, dass von der gewählten polylinie eine Schraffur erzeugt wird?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 05. Mai. 2011 15:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

(command "_hatch" "ansi31" "2" "0" obj "") ???

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1827
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 05. Mai. 2011 15:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

so hatte ich auch gedacht... nur wird die gewählte Polylinie nicht schraffiert

im Textfenster erscheint folgendes

Command: (command "_hatch" "ansi31" "2" "0" OBJ "")
_hatch
Enter a pattern name or [?/Solid/User defined/Gradient] <ANSI31>: ansi31
Specify a scale for the pattern <1.0000>: 2
Specify an angle for the pattern <0>: 0 Select objects to define hatch boundary
or <direct hatch>,

Select objects:
Command: U (Lisp Expression) GROUP

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1703
Registriert: 11.10.2004

Window 10
ACAD 2012-2021
CIVIL 2012 - 2021
BricsCAD V14-V21
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 05. Mai. 2011 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo Cadplayer,
ich habe mir vor langer Zeit mal alles ein bißchen dokumentiert, weil der Schraffurbefehl ja doch ein bißchen unübersichtlich ist, vielleicht hilft es Dir, durcharbeiten mußt Du Dich aber selber:
Code:

(command "_.bhatch"
"_P";;;Eigenschaften
"_U";;;Benutzerdefiniert
0.0 ;;;Winkel für Doppelschraffurlinien
1.0 ;;;Abstand Zwischen den Linien
"_N";;;Doppelschraffurbereich J/N
"_P";;;Eigenschfaften
"ANSI31";;;Schraffurmustername
1.0 ;;;Maßstab für Muster angeben
0.0 ;;;Winkel für Muster angeben (Wenn SOLID, dann entfällt)
"_A";;;Optionen
"_R";;;Umgrenzung beibehalten
"_N";;;_Y/_N
"_I";;;Inseln erkennen
"_Y";;;_Y/_N
"_S";;;Schraffurstil
"_O";;;"Äußere", "_N" Normal, "_I" Ignorieren
"_A";;;Assoziativität
"_N";;;_Y/_N
"";;;ENTER
"_S";;;Objekte auswählen
(ssadd obj);;;Auswahlsatz mit OBJ
"";;;ENTER
"";;;ENTER
)


Fällt mir gerade auf, gibt es einen Unterschied zwischen _.hatch und _.bhatch???

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 05. Mai. 2011 16:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

(command "_hatch" "ansi31" "2" "0" (car(entsel)) "")

??? bei mir gehts!
deine Fläche zu klein? händisch gehts? starte mal acad neu...

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 05. Mai. 2011 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

jörn gibt doch mal (command "_hatch") und (command "_bhatch") ein 

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1703
Registriert: 11.10.2004

Window 10
ACAD 2012-2021
CIVIL 2012 - 2021
BricsCAD V14-V21
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 05. Mai. 2011 16:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo Dorfy,
alles klar, es erscheint bei beiden derselbe Dialog: "Schraffur und Abstufung". Trotzdem seltsam, warum 2 verschiedene Namen für eine Funktion. Im deutschen gehts auch: SCHRAFF und GSCHRAFF, naja, ist halt so.

[EDIT]
Hab's kapiert, habe es erst ohne die Command eingegeben, also _.hatch mit Objekt auswählen, und _.bhatch mit internem Punkt.
[/EDIT]

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

[Diese Nachricht wurde von joern bosse am 05. Mai. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1827
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 05. Mai. 2011 16:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Dorfy
wenn ich in die commandozeile das eingebe
(command "_hatch" "ansi31" "2" "0" (car(entsel)) "")

wird gewünscht, dass ich eine Polylinie wähle

die hatte ich aber bereits vorher gewählt mit
(setq OBJ (car (entsel "\nselect hatch or pline !\n")))

wenn ich also diese Zeile
(command "_hatch" "ansi31" "2" "0" (car(entsel)) "")

mit
(command "_hatch" "ansi31" "2" "0" OBJ "")
ersetze

sollte doch die Schraffur gleich erzeugt werden oder?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steff179
Mitglied
Geomatiker


Sehen Sie sich das Profil von Steff179 an!   Senden Sie eine Private Message an Steff179  Schreiben Sie einen Gästebucheintrag für Steff179

Beiträge: 266
Registriert: 09.08.2007

AutoCAD 2014

erstellt am: 05. Mai. 2011 17:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Ja
Aber wenn du das in dein Lisp einbaust solltest du noch ein "(progn" setzen. Denn sonst zeichnet es dir nur wenn die Bedingungen nicht Erfüllt sind eine Schraffur und das mit einem OBJ das du dann nich hast 

(defun c:sa ( / )
  (setvar "attreq" 1)
  (if (and (setq OBJ (car (entsel "\nselect hatch or pline !\n")))
  (setq LAYER (cdr (assoc 8 (entget OBJ))))
  (setq FL (rtos (vla-get-area (vlax-ename->vla-object OBJ)) 2 2))
      )
    (progn
      (command "_-insert" "flache" (getpoint "\npik point\n") (getvar "DIMSCALE") (getvar "DIMSCALE") 0 LAYER FL )
      (command "_hatch" "ansi31" "2" "0" OBJ "")
    )
  )
)


Gruss Steff

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9695
Registriert: 01.12.2003

One AutoCAD 2.5 - 2022, Civil 3D, Win10

erstellt am: 05. Mai. 2011 19:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von joern bosse:
Hallo Dorfy,
alles klar, es erscheint bei beiden derselbe Dialog: "Schraffur und Abstufung". Trotzdem seltsam, warum 2 verschiedene Namen für eine Funktion. Im deutschen gehts auch: SCHRAFF und GSCHRAFF, naja, ist halt so.
...


hallo Jörn, das hat historische Gründe.
Die ersten AutoCAD Versionen kannten nur den Befehl SCHRAFF / HATCH - dies war die Befehlszeilenvariante mit Auswahl der Umgrenzungobjekte. Dann kam mit mit R12 (1992) der neue dialoggeführte Umgrenzungsschraffur GSCHRAFF / BHATCH (Boundary Hatch) dazu.
In einer der Versionen nach Release 2000 wurde dann der alte Befehl SCHRAFF zu -SCHRAFF und GSCHRAFF wurde in SCHRAFF umbenannt (trotzdem wird zusätzlich auch GSCGRAFF weiterhin als Befehlsname akzeptiert).
Bei GPOLY/_BPOLY = UMGRENZUNG/_BOUNDARY ist es ähnlich.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1703
Registriert: 11.10.2004

Window 10
ACAD 2012-2021
CIVIL 2012 - 2021
BricsCAD V14-V21
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 06. Mai. 2011 07:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo Udo,
danke für die "Geschichtsstunde", sind dann ja schon fast 20 Jahre her.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1827
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 06. Mai. 2011 08:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Nun bin ich dahintergekommen, dass command nicht zweimal hintereinander ausgeführt werden kann

(command "_-insert" "flache" (getpoint "\npik point\n") (getvar "DIMSCALE") (getvar "DIMSCALE") 0 LAYER FL)
(command "_hatch" "ansi31" "2" "0" OBJ "")

die erste Zeile soll mir den Block "flache" einfügen
die zweite Zeile soll mir eine Schraffur in den gewählten Polygon legen.
Geht das auch irgendwie zu machen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steff179
Mitglied
Geomatiker


Sehen Sie sich das Profil von Steff179 an!   Senden Sie eine Private Message an Steff179  Schreiben Sie einen Gästebucheintrag für Steff179

Beiträge: 266
Registriert: 09.08.2007

AutoCAD 2014

erstellt am: 06. Mai. 2011 08:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Lies meinen post 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13496
Registriert: 30.11.2003

.

erstellt am: 06. Mai. 2011 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von cadplayer:
Nun bin ich dahintergekommen, dass command nicht zweimal hintereinander ausgeführt werden kann

mal als INFO : Ein Command innerhalb eines Commands wird schwierig .. deshalb immer erst einen Befehl bis zum Schluss abarbeiten .. z.B. so :

(while (/= (getvar "CMDACTIVE") 0) (command pause))
bzw wenn keine Nutzerfragen mehr kommen und nur "abgeENTERt" werden soll
(while (/= (getvar "CMDACTIVE") 0) (command))

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1827
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 06. Mai. 2011 09:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Euch, habs verstanden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 08:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Der Beitrag ist zwar schon ein Jahr alt, aber ich habe noch eine Frage dazu.


Wenn ich mit diesem Befehl

Code:
(command "_hatch" "ansi31" "15" "0" (car(entsel)) "")
eine Polylinie wähle, klappt das auch wunderbar.

Mein einziges Problem ist, das die Schraffur dann nicht assoziativ ist, woran kann das liegen? Muss ich hier noch einen Befehl einfügen?

Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1948
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 20. Aug. 2021 09:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

HPANNOTATIVE

könnte etwas helfen

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADwiesel:
HPANNOTATIVE

könnte etwas helfen


Damit schalte ich es doch wählbar, das ändert aber nichts bei mir.
Oder soll ich das anders nutzen?

[Diese Nachricht wurde von Hämmy am 20. Aug. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

HPASSOC (Systemvariable) schon eher,
aber das wäre dann nicht nur im Lisp so.

Hier geht es darum dass AutoCAD in einer Automation einen eine sehr sehr alte Befehlsversion aufruft (Kompatibilität!!)
und vor 17+ jahren gab es noch keine assoziativen Schraffuren.

Du mußt eine neuere Version aufrufen mind. 2 oder eben die Aktuelle.
[F1] INITCOMMANDVERSION

ACHTUNG: Befehlsablauf ist ein anderer - es hat sich ja viel getan seit dem. 


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

@cadffm,

HPASSOC ist aber bei mir auf "1" gestellt, dann sollte doch die Schraffur mit dem Objekt verknüpft sein?

Bei mir ist aber Assioziativ grau hinterlegt, wenn ich die mit dem Befehl erzeugt Schraffur anschaue.

Kann ich in das Command nicht etwas einbinden, dass es dann passt?


Gruß Hämmy

PS:

wenn ich über HATCH gehe, und dann das Objekt auswähle, ist es auch Assiozitaiv, nur mit dem Befehl eben nicht

[Diese Nachricht wurde von Hämmy am 20. Aug. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Hämmy:
@cadffm,
HPASSOC ist aber bei mir auf "1" gestellt, dann sollte doch die Schraffur mit dem Objekt verknüpft sein?

ganz klares N E I N

Warum antworte ich eigentlich so umfassend wenn eh nur die ersten Worte gelesen werden?
Das Leben ist grausam 

Zum einen habe ich CADwiesel Hinweis mit der richtigen Variable korrigiert,

im gleichen Atemzug aber auch ergänzt: "aber das wäre dann nicht nur im Lisp so."

Danach habe ich das Problem und die Situation beschrieben (vor 17+ Jahren gab es kein HPASSOC usw..)
gefolgt von der Lösung [habe die Lispfunktion benannt welcher man sich bedienen kann um eine neuere Befehlsversion zu starten]

Und das alles um die Rpckmeldung zu bekommen "HPASSOC ist aber bei mir auf "1" gestellt, dann sollte doch die Schraffur mit dem Objekt verknüpft sein?"
Frustrierend 
Darf ich annehmen du hast alles in meiner Antwort ws nicht gleich verstanden wurde einfach ignoriert statt
zu recherchieren oder auch nur mal nachzufragen?

Leute: Da mache ich ja sogar lieber meine Arbeit   

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 10:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:


Darf ich annehmen du hast alles in meiner Antwort ws nicht gleich verstanden wurde einfach ignoriert statt
zu recherchieren oder auch nur mal nachzufragen?


Ja das stimmt, Asche über mein Haupt

Ich werde recherchieren, aber ob ich alle Informationen finde ist die Frage.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1703
Registriert: 11.10.2004

Window 10
ACAD 2012-2021
CIVIL 2012 - 2021
BricsCAD V14-V21
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 20. Aug. 2021 10:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo,
mich hatte gerade der "Spieltrieb" gepackt, wie folgt hatte es bei mir unter AutoCAD 2019 funktioniert:
(command "_.bhatch" "_P" "ansi31" "15" "0" "_A" "_A" "_Y" "" "_S" (car(entsel))"" "")

Die englischen Optionen habe ich übrigens von CADmaro.de (dt./Engl. Befehlsreferenzen)


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bosse_tools-Überblick

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 10:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
HPASSOC (Systemvariable) schon eher,
aber das wäre dann nicht nur im Lisp so.


>>PS: wenn ich über HATCH gehe, und dann das Objekt auswähle, ist es auch Assiozitaiv
ALSO geht es nicht um HPASSOC, denn wie ich schrieb - - - wäre es dann nicht nur im Lisp der Fall.


>>"Ich werde recherchieren, aber ob ich alle Informationen finde ist die Frage."

Nun die Erklärung hast du ja bereits:

Hier geht es darum dass AutoCAD in einer Automation einen eine sehr sehr alte Befehlsversion aufruft (Kompatibilität!!)
und vor 17+ jahren gab es noch keine assoziativen Schraffuren.

Und was das Suchen angeht, so dachte ich schon dir die 2.Beste Hilfestellung gegeben zu haben:
>>"Du mußt eine neuere Version aufrufen mind. 2 oder eben die Aktuelle.
>>"[F1] INITCOMMANDVERSION"

Damit meinte ich du solltst in ACAD die Taste [F1] drücken und nach initcommandversion suchen!
Hier jetzt die beste Antwort, direkt mit LINK: "[F1] INITCOMMANDVERSION"


So, genug geschmollt, ich lächle wieder 

Du mußt eine neuere Version aufrufen mind. 2 oder eben die Aktuelle.
[F1] INITCOMMANDVERSION

ACHTUNG: Befehlsablauf ist ein anderer - es hat sich ja viel getan seit dem. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 10:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von joern bosse:
hatte es bei mir 

Das mag stimmen, ist aber ein anderer Befehl   

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 10:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

@cadffm,

ich habe schon verstanden, dass ich dort suchen soll, mir war eben nicht klar, wie ich den Befehl dann aufbauen muss.

Es ist aber schön, dass du nicht mehr schmollst, denn im Grunde hast du recht, aber sich über solche Leute wie mich ärgern bringt nichts 

Ich dachte eben, dass ich eine einfache Antwort bekomme, ohne das ich ewig suchen muss 

@joern bosse,

damit geht es, stellt sich nur die Frage ob ich es so machen soll 

Ich danke hier auf alle Fälle einmal allen, die auch solechen Usern wie mir helfen, denn ich bin eben nur ein Anwender der einfach nur ein paar Arbeiten schneller erledigen möchte.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 11:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Dann nimm einfach bhatch,
so umgehst du alles andere (die Probleme, wie auch dem Kenntnisgewinn).
Hey, wir sind alle "nur Anwender" und verstehen das, aber auch anders herum: Wir sind auch "nur" Anwender ..
- bis auf ganz wenige Ausnahmen hier.

PS: "ewig suchen"  nachdem dir die Funktion genannt wurde..  Nicht dein Ernst, oder? 
Einfach (initcommandversion 2) oder (initcommandversion) vor deinem Command-Aufruf, um mehr geht es nicht.
und dann kannst/mußt du den Befehlsablauf ermitteln.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 11:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:

Einfach (initcommandversion 2) oder (initcommandversion) vor deinem Command-Aufruf, um mehr geht es nicht.
und dann kannst/mußt du den Befehlsablauf ermitteln.

 



@cadffm,

ich bin eigentlich jemand der das auch verstehen möchte, aber entweder stehe ich hier auf dem Schlauch oder es ist der falsche Tag.

Ich würde gerne den Befehlsablauf selbst ermittel, doch genau da komme ich gerade nicht mit, wo soll ich initcommandversion eingeben?
Da scheitert es wahrscheinlich gerade 

Sorry, bitte sei nicht böse oder verärgert, das möchte ich auf keinen Fall, ich verstehe das du möchtest, das ich selbst dahinter komme, ist auch gut so 

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Da wo du deine anderen Zeilen auch eingibst, also entweder in einer Lispdatei
oder in der Befehlszeile, bleiben wir bei dieser..

Befehl: CMDECHO 0
Befehl: (initcommandversion)
Befehl: (command "_hatch")

Schau was der Befehl von dir verlangt, dann ergänzt du das in dem Command und testest neu..

Befehl: (initcommandversion)
Befehl: (command "_hatch" <was auch immer du ermittelt hast > )


Schau was der Befehl von dir verlangt, dann ergänzt du das in dem Command und testest neu..

Befehl: (initcommandversion)
Befehl: (command "_hatch" <was auch immer du ermittelt hast >  <was auch immer du ermittelt hast > )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Wenn ich  initcommandversion eingebe, kommt "Unbekannter Befehl"

Das sollte doch nicht so sein, oder?

initcommandversion 2 geht erst recht nicht


Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 20. Aug. 2021 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Hämmy:
Wenn ich  initcommandversion eingebe, kommt "Unbekannter Befehl"

Das sollte doch nicht so sein, oder?

initcommandversion 2 geht erst recht nicht


Gruß Hämmy


OK, sorry, ich hatte das ohne Klammern eingeben, das war die ganze Zeit mein Fehler 

Bin ich doof 

Ok, jetzt habe ich die Befehlszeilen so bekommen, das werde ich auf alle Fälle einmal austesten und versuchen.

Danke für deine Geduld 

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Aug. 2021 14:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Fehlerkorrektur meinerseits:
Befehl: CMDECHO 0
Befehl: CMDECHO 1

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 23. Aug. 2021 07:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Guten Morgen,

ich noch einmal 

also CMDECHO 0 oder 1 ist klar, aktivieren oder deaktivieren

Was ich aber immer noch nicht verstehe, was passieren soll, wenn ich "(initcommandversion)" in die Befehlszeile eingebe, dann kommt bei mir "T", aber was bewirkt das? Denn wenn ich meine Befehle (Command "_hatch" usw.) eingebe, passiert dasselbe als wenn ich vorher "(initcommandversion)" eingebe.

Könnt ihr mir hier auch noch etwas dazu erklären, dann kann ich das nachvollziehen.

Und dann noch eine Frage:

Wenn ich alles so mache, wie es hier beschrieben wurde, komme ich zwar auf die Befehlszeile, aber nirgends zu einer Auswahl ob Assioziativ oder nicht.

Um es Nachzuvollziehen:

ich gebe (command "_hatch") ein, dann kommen die verschiedenen Befehlsanforderungen:

Code:
Befehl:(command "_hatch")
nil

Name des Schraffurmusters eingeben [?(?)/Solid(S)/Benutzer definiert(U)/Abstufung(G)] <ANSI31>:ansi31
Maßstab für Muster angeben <20.0000>:20
Winkel für Muster angeben <0.00>:0
Objekte zum Definieren der Schraffurumgrenzung wählen oder <Direktschraffur>,
Objekt auswählen: 1 gefunden


dann ist es aber immer noch nicht Assoziativ 
Und was bedeutet "nil"?


Es ergibt sich doch hieraus diese Befehlszeile oder?

Code:
(command "_hatch" "ansi31" "20" "0" (car(entsel)"")

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 23. Aug. 2021 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

>> "Was ich aber immer noch nicht verstehe, was passieren soll, wenn ich "(initcommandversion)" in die Befehlszeile eingebe,"

>>"dann kommt bei mir "T", aber was bewirkt das? Denn wenn ich meine Befehle (Command "_hatch" usw.) eingebe,"
>>"passiert dasselbe als wenn ich vorher "(initcommandversion)" eingebe."

Dann muss ich hier (wie sooft) feststellen dass ich eine ganz bescheuerte Spezialversion des Programmes habe
und damit nicht mehr mitreden kann, ich bin raus.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 23. Aug. 2021 10:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:
>> "Was ich aber immer noch nicht verstehe, was passieren soll, wenn ich "(initcommandversion)" in die Befehlszeile eingebe,"

>>"dann kommt bei mir "T", aber was bewirkt das? Denn wenn ich meine Befehle (Command "_hatch" usw.) eingebe,"
>>"passiert dasselbe als wenn ich vorher "(initcommandversion)" eingebe."

Dann muss ich hier (wie sooft) feststellen dass ich eine ganz bescheuerte Spezialversion des Programmes habe
und damit nicht mehr mitreden kann, ich bin raus.


Echt jetzt, schade ich habe auf Antworten von dir gehofft 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 23. Aug. 2021 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!


Ich scheine das generell nicht richtig zu verstehen, sorry für die dummen Fragen hier.

Ich sollte mich irgendwie einlesen und grundsätzliches erst einmal verstehen, bevor ich hier dumm Frage. Bitte nicht böse sein, es steckt keine Absicht dahinter, ich dachte wirklich ich muss das so eingeben, aber es scheint etwas mit der Version zu tun zu haben 

Leider finde ich aber auch keine Beiträge, wo ich das von Grunde auf richtig verfolgen kann.

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20745
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 23. Aug. 2021 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Schiebe es einfach bei Seite, nimm das BHATCH (oder wie ich im weiteren Verlauf dann vorgeschlagen hätte "_.-HATCH")
und gut ist. Verschiedene Befehlsversionen, ermitteln des Ablaufes - das Wissen ist zwar Universall-Schlüssel zum Erfolg,
aber das kannst du auch beim nächsten Mal verfolgen - wenn du keine andere Möglichkeit hast.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Programmentwickler CAD & Office (m/w/divers)

thyssenkrupp ist eine international aufgestellte Unternehmensgruppe aus weitgehend selbstständigen Industrie- und Technologiegeschäften mit über 100.000 Mitarbeitenden. In 56 Ländern erwirtschaftete die Gruppe im Geschäftsjahr 2020/2021 einen Umsatz von 34 Mrd ?. Mit umfassendem Technologie-Know-how entwickeln die Geschäfte und alle Mitarbeitenden wirtschaftliche und ressourcenschonende ...

Anzeige ansehenSoftwareentwicklung
Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 83
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 23. Aug. 2021 11:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Alles klar, ich werde das so machen 

Trotzdem danke für die Hilfe

Gruß Hämmy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz